{% extends 'base.html.twig' %}

{% block title %}Mettre à jour ma participation{% endblock %}

{% block body %}
    <main class="container mt-0 md:mt-12">
        <h1>Mettre à jour ma participation</h1>

        {% for message in app.flashes('success') %}
            <div class="flash-message flash-success">
                {{ message }}
            </div>
        {% endfor %}

        {% for message in app.flashes('danger') %}
            <div class="flash-message flash-error">
                {{ message }}
            </div>
        {% endfor %}

        {{ dump(proposition, activities, slots) }}
        <form action="" method="post">
            <div class="grid grid-cols-1 gap-8 my-8 form-activities md:grid-cols-4">
                <span class="col-span-1 font-bold">Activités</span>
                <span class="col-span-1 font-bold text-center choice-activities-yes">Oui</span>
                <span class="col-span-1 font-bold text-center choice-activities-unknown">Sans avis</span>
                <span class="col-span-1 font-bold text-center choice-activities-no">Non</span>

                {% for activity in activities %}
                    <label class="col-span-1" for="activity[{{ activity }}">{{ activity }}</label>

                    <input class="col-span-1 radio-activities" type="radio" name="activity[{{ activity }}]" id="activity[{{ activity }}]" value="1" required>

                    <input class="col-span-1 radio-activities" type="radio" name="activity[{{ activity }}]" id="activity[{{ activity }}]" value="-1">

                    <input class="col-span-1 radio-activities" type="radio" name="activity[{{ activity }}]" id="activity[{{ activity }}]" value="0">

                {% endfor %}
            </div>

            <div class="form-availabilities">
                <section>
                    <h3>Vendredi</h3>
                    <div class="grid grid-cols-2">
                        <div class="flex items-center justify-center">
                            <input name="availability[friday][morning]" id="availability[friday][morning]" type="checkbox">
                            <label for="availability[friday][morning]">Matin</label>
                        </div>

                        <div class="flex items-center justify-center">
                            <input name="availability[friday][afternoon]" id="availability[friday][afternoon]" type="checkbox">
                            <label for="availability[friday][afternoon]">Après-midi</label>
                        </div>
                    </div>
                </section>

                <section>
                    <h3>Samedi</h3>
                    <p><i class="fas fa-exclamation-triangle"></i> Plusieurs créneaux possibles - Chaque créneau doit être de minimum 3h consécutives</p>
                    <div class="dispo-grid dispo-grid-saturday grid-cols-14">
                    {% for i in 8..21 %}
                        <div class="flex flex-col">
                            <label for="availability[saturday][{{ i }}h]">{{ i }}h</label>

                            {% if not loop.last %}
                                <input name="availability[saturday][{{ i }}h]" id="availability[saturday][{{ i }}h]" type="checkbox">
                            {% endif %}
                        </div>
                    {% endfor %}
                    </div>
                </section>

                <section class="mt-8">
                    <h3>Dimanche</h3>
                    <p><i class="fas fa-exclamation-triangle"></i> Plusieurs créneaux possibles - Chaque créneau doit être de minimum 3h consécutives</p>
                    <div class="grid-cols-1 md:grid-cols-12 dispo-grid dispo-grid-sunday">
                    {% for i in 8..19 %}
                        <div class="flex flex-col">
                            <label for="availability[sunday][{{ i }}h]">{{ i }}h</label>

                            {% if not loop.last %}
                                <input name="availability[sunday][{{ i }}h]" id="availability[sunday][{{ i }}h]" type="checkbox">
                            {% endif %}
                        </div>
                    {% endfor %}
                    </div>
                </section>

                <section class="mt-8">
                    <h3>Lundi</h3>
                    <div class="grid grid-cols-2">
                        <div class="flex items-center justify-center">
                            <input name="availability[monday][morning]" id="availability[monday][morning]" type="checkbox">
                            <label for="availability[monday][morning]">Matin</label>
                        </div>

                        <div class="flex items-center justify-center">
                            <input name="availability[monday][afternoon]" id="availability[monday][afternoon]" type="checkbox">
                            <label for="availability[monday][afternoon]">Après-midi</label>
                        </div>
                    </div>
                </section>

            </div>
            <button class="w-full mb-4 md:w-auto btn-info md:mb-0 md:mt-8">Envoyer</button>
        </form>

{% endblock %}
